<?php

require_once ( get_template_directory() . '/assets/wp_bootstrap_navwalker.php' );      // bootstrap menu helper class
require_once ( get_template_directory() . '/assets/class-tgm-plugin-activation.php' ); // submit a theme to wordpress.org with required or suggested plugin(s) defined 
require_once ( get_template_directory() . '/inc/customizer.php' );                     // handles the theme options in customizer and in Theme -> Theme Options
require_once ( get_template_directory() . '/inc/sidebar-options.php' );				   // handles the different sidebar template options
require_once ( get_template_directory() . '/inc/newsletter.php');

add_action( 'tgmpa_register', 'perk_register_required_plugins' );
function perk_register_required_plugins() {
	$plugins = array(			
		array (
				'name'               => 'Responsive Food And Drink Menu', // The plugin name.
				'slug'               => 'responsive-food-and-drink-menu', // The plugin slug (typically the folder name).
				'required'           => false,   // If false, the plugin is only 'recommended' instead of required.
				'force_activation'   => false,   // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
				'force_deactivation' => false,   // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
				'version'            => "2.1"
		),
		array (
				'name'               => 'Contact Page With Google Map', // The plugin name.
				'slug'               => 'contact-page-with-google-map', // The plugin slug (typically the folder name).
				'required'           => false,   // If false, the plugin is only 'recommended' instead of required.
				'force_activation'   => false,   // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
				'force_deactivation' => false,   // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
				'version'            => "1.5"
		),
		array (
				'name'               => 'Page Builder For Coffee Zen', // The plugin name.
				'slug'               => 'page-builder-for-coffee-zen', // The plugin slug (typically the folder name).
				'required'           => false,  // If false, the plugin is only 'recommended' instead of required.
				'force_activation'   => false,   // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
				'force_deactivation' => true,   // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
				'version'            => "2.2"
		),
		array (
				'name'               => 'One Click Demo Import', // The plugin name.
				'slug'               => 'one-click-demo-import', // The plugin slug (typically the folder name).
				'required'           => false,  // If false, the plugin is only 'recommended' instead of required.
				'force_activation'   => false,   // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
				'force_deactivation' => false,   // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
				'version'            => "2.4"
		)
	);
	
	$config = array(
			'id'           => 'perk',            // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => '',                      // Default absolute path to bundled plugins.
			'menu'         => 'tgmpa-install-plugins', // Menu slug.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => false,                    // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.
	);
	
	tgmpa( $plugins, $config );
}

// load script
function perk_admin_enqueue($hook) {
	global $post;  
	
	$url = array(
	    'url' => admin_url( 'admin-ajax.php' ),
	);
	wp_enqueue_script( 'perk_review_ajax_script', get_template_directory_uri() . '/inc/review.js' );
	wp_localize_script('perk_review_ajax_script', 'ajax', $url);
	
	if ( $hook == 'post-new.php' || $hook == 'post.php' ) {
		if ( 'page' === $post->post_type ) {     
			wp_enqueue_script( 'perk_admin_sidebar_script', get_template_directory_uri() . '/assets/js/sidebar-admin.js' );
		}
	}
}
add_action( 'admin_enqueue_scripts', 'perk_admin_enqueue' );
	
function perk_setup () {
	load_theme_textdomain ( 'perk', get_template_directory() . '/languages' );
	
	$locale = get_locale();
	$locale_file = get_template_directory() . "/languages/$locale.php";
	if ( is_readable ( $locale_file ) )
		require_once ( $locale_file );
	
		
	add_theme_support ( 'post-thumbnails' );
	add_theme_support ( 'menus' );
	add_theme_support ( 'title-tag' );
	add_theme_support ( 'automatic-feed-links' );
	add_theme_support ( 'custom-logo' );
	
	// add options
	$review_option_defaults = array(
	    'perk_review__never_show'         => 0,
	    'perk_review__show'               => 0,
	    'perk_review__last_response'      => time(),
	    'perk_review__theme_activation'   => time(),
	    'perk_review__theme_deactivation' => 0,
	);
	add_option('perk_review', $review_option_defaults);
	
	// custom header
	$args = array(
	    //'default-image'      => get_template_directory_uri() . 'img/default-image.jpg',
	    //'default-text-color' => '000',
	    'width'              => 1200,
	    'height'             => 700,
	    'flex-width'         => true,
	    'flex-height'        => true,
	);
	add_theme_support( 'custom-header', $args );
	
	if ( ! isset( $content_width ) ) $content_width = 1200;
	// END: wordpress required code
}
add_action( 'after_setup_theme', 'perk_setup' );

function perk_register_sidebar() {
	register_sidebar( array('id' => 'sidebar-1') );
}
add_action('widgets_init', 'perk_register_sidebar');

// register header (bootstrap) menu
function perk_register_my_menu () {
	register_nav_menu('header-menu', __('Header Menu', 'perk'));
}
add_action ( 'init', 'perk_register_my_menu' );

function perk_walkme( &$value, &$key ) {
    $value['section_name'] = $value['section_name'];
    $value['section_id']   = $value['section_id'];
}

function perk_ocdi_after_import( $selected_import ) {
	
	// Assign menus to their locations.
	$main_menu = get_term_by( 'name', 'Menu 1', 'nav_menu' );
	
	set_theme_mod( 'nav_menu_locations', array('header-menu' => $main_menu->term_id, ) );
	
	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( 'Homepage', OBJECT, 'zen_page' );
	$blog_page_id  = get_page_by_title( 'Blog', OBJECT );
	
	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );
	
	// set up meta for menu pages
	$food_menu  = get_page_by_title( 'Food', OBJECT, 'menu_page_cpt' );
	$drink_menu  = get_page_by_title( 'Drinks', OBJECT, 'menu_page_cpt' );
	
	// FOOD
	$food_menu_items = array (
			array (
					'item_name' => 'Donut',
					'price' => '$1.5',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'Made from scratch daily',
			),
			array(
					'item_name' => 'Muffin',
					'price' => '$2',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'See the case for today\'s options'
        	),
			array(
		            'item_name' => 'BLT',
		            'price' => '$7.5',
		            'section' => '1',
		            'image_url' => '',
		            'item_description' => 'The classic - let us know if you don\'t want mayo'
			)
	);
	
	$food_section_names = array(
			array(
					'section_name' => 'Pastries',
					'section_id'   => '0'
			),
			array(
					'section_name' => 'Sandwiches',
					'section_id'   => '1'
			)	
	);
	
	$item_count = 0;
	$section_count = 0;
	foreach ( $food_section_names as $section ) {
		$section_count = $section_count + 1;
		if ( count ( $food_menu_items ) > 0 ) {
			foreach ($food_menu_items as $key => $field) {
				$item_count = $item_count + 1;
				$image_file = '';
				$image_file_url = '';
				

			} // end foreach item
		}
	} // end foreach section
	
	array_walk ( $food_section_names, 'perk_walkme');
	
	update_post_meta ( $food_menu->ID, 'menu_items', $food_menu_items);
	update_post_meta ( $food_menu->ID, 'menu_section_name', $food_section_names);
	
	// DRINKS
	$drink_menu_items = array (
			array (
					'item_name' => 'Espresso',
					'price' => '$2',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'A double shot of freshly pulled espresso'
			),
			array (
					'item_name' => 'Cortado',
					'price' => '$3',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'Espresso and a little milk'
			),
			array (
					'item_name' => 'Cappuccino',
					'price' => '$3.5',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'Espresso and more milk'
			),
			array (
					'item_name' => 'Latte',
					'price' => '$4',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'More milk than a cappuccino'
			),
			array (
					'item_name' => 'Vanilla Latte',
					'price' => '$4.3',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'We also have caramel and hazelnut'
			),
			array (
					'item_name' => 'Mocha',
					'price' => '$5',
					'section' => '0',
					'image_url' => '',
					'item_description' => 'Chocolate + Espresso + Milk = Good'
			),
			array (
					'item_name' => 'Add a shot',
					'price' => '$1.5',
					'section' => '0',
					'image_url' => '',
					'item_description' => ''
			),
			array (
					'item_name' => 'Sub Soy, Almond, or Coconut milk',
					'price' => 'FREE',
					'section' => '0',
					'image_url' => '',
					'item_description' => ''
			),
			array (
					'item_name' => 'Pour Over',
					'price' => '$5',
					'section' => '0',
					'image_url' => '',
					'item_description' => ''
			),
			array (
					'item_name' => 'Drip',
					'price' => '$2',
					'section' => '0',
					'image_url' => '',
					'item_description' => ''
			),
			array (
					'item_name' => 'Iced Latte',
					'price' => '$4',
					'section' => '1',
					'image_url' => '',
					'item_description' => 'Add a flavor for $0.30'
			),
			array (
					'item_name' => 'Iced Mocha',
					'price' => '$5',
					'section' => '1',
					'image_url' => '',
					'item_description' => 'Our signature mocha over ice'
			),
			array (
					'item_name' => 'Iced Coffee',
					'price' => '$2',
					'section' => '1',
					'image_url' => '',
					'item_description' => ''
			),		
	);
	
	$drink_section_names = array(
			array(
					'section_name' => 'Hot Drinks',
					'section_id'   => '0'
			),
			array(
					'section_name' => 'Cold Drinks',
					'section_id'   => '1'
			)
	);
	
	$item_count = 0;
	$section_count = 0;
	foreach ( $drink_section_names as $section ) {
		$section_count = $section_count + 1;
		if ( count ( $drink_menu_items ) > 0 ) {
			foreach ($drink_menu_items as $key => $field) {
				$item_count = $item_count + 1;
				$image_file = '';
				$image_file_url = '';
				
				
			} // end foreach item
		}
	} // end foreach section
	    
	array_walk ( $drink_section_names, 'perk_walkme');
		
	update_post_meta ( $drink_menu->ID, 'menu_items', $drink_menu_items);
	update_post_meta ( $drink_menu->ID, 'menu_section_name', $drink_section_names);
}
add_action( 'pt-ocdi/after_import', 'perk_ocdi_after_import' );

function perk_ocdi_import_files() {
	return array(
			array(
					'import_file_name'             => 'Demo Import',
					'categories'                   => array( 'Bread', 'Food', 'Drinks' ),
					'local_import_file'            => trailingslashit( get_template_directory() ) . 'demo-content/perkdemo.wordpress.xml',
					//'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'ocdi/widgets.json',
					'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'demo-content/perk-export.dat',
					'import_preview_image_url'     => trailingslashit( get_template_directory() ) . 'demo-content/import_preview.png',
					'import_notice'                => 'The import could take a few minutes. Please be patient.',
					'preview_url'                  => 'https://themes.corporatezen.com/',
			),
	);
}
add_filter( 'pt-ocdi/import_files', 'perk_ocdi_import_files' );
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' ); // remove branding

// notice for menu page
function perk_menu_admin_notice(){
    global $pagenow;
    if ( $pagenow == 'nav-menus.php' ) {
        echo '<div class="notice notice-warning is-dismissible">
             <p><strong>Notice</strong>: This theme only supports a single dropdown level. Menu items added in the 3rd tier or higher will not display.</p>
         </div>';
    }
}
add_action('admin_notices', 'perk_menu_admin_notice');

// remove the pointless colors section
function perk_remove_colors_section() {
    global $wp_customize;
    $wp_customize->remove_section( 'colors' ); 
}

add_action( 'customize_register', 'perk_remove_colors_section', 11 );

function perk_admin_review_trigger_notice() {
    global $pagenow;
    
    $min_number_posts = 10; // number of posts and pages min to show notice
    $min_secs = 604800; // number of secs passed since theme active to show notice
    
    $theme = wp_get_theme();
    $theme_name = $theme->get( 'Name' );
    
    if ($theme_name != 'Perk') { 
        return; // exit because the current theme is not PERK
    }
    
    $count_posts = wp_count_posts('post');
    $count_pages = wp_count_posts('page');
    $published_posts = $count_posts->publish + $count_pages->publish;
        
    if ($published_posts < $min_number_posts) {
        return; // exit because not enough posts published
    }
        
    $review_options = get_option('perk_review');
        
    if ($review_options['perk_review__never_show'] == true) {
        return; // exit because never_show is set
    }
    
    $time_since_last_response = time() - (int)$review_options['perk_review__last_response'];
        
    if ($time_since_last_response <= $min_secs) {
        return; // exit because it hasne't been long enough since the last response
    }
    
    /*
    echo "last_response: " . date("Y/m/d h:i:sa", (int)$review_options['perk_review__last_response']) . "<br>";
    echo "nownownow : " . date("Y/m/d h:i:sa") . "<br>";
    echo "time since last: " . $time_since_last_response . "<br>";
    */    
    ?>
        
    <style>
    .review_form a {
        cursor: pointer;
    }
    </style>
        
    <div id="perk_review" class="notice notice-warning is-dismissible">
        <div class="review_message" style="font-weight: 500;">
        	<p>Hey! We noticed you've been enjoying Perk. If you have a few seconds, would you like to review it for us? </p>
        	
        	<p>Remember, before leaving a review, you can always <a href="https://wordpress.org/support/theme/perk" target="_blank">contact support</a> and talk to one of our developers.</p>
        </div>
        	
        <div class="review_form">
        	<ul>
        		<li>
        			<a class="button" id="review_ok" onclick="perkReview_ok()" target="_blank" href="https://wordpress.org/support/theme/perk/reviews/#new-post">I'll review!</a>
        		</li>
        		<li>
        			<a id="review_notnow" onclick="perkReview_notnow()">Not right now</a>
        		</li>
        		<li>
        			<a id="review_never" onclick="perkReview_never()">Don't ask again</a>
        		</li>
        	</ul>
        </div>
    </div>
        
    <?php     
}
add_action('admin_notices', 'perk_admin_review_trigger_notice');

function perk_review_ajax() {
    
    $answer = ( isset($_POST['to_do']) ? $_POST['to_do'] : '');
    if (!empty($answer)) {
        
        $old_review_options = get_option('perk_review');
        $new_review_options = $old_review_options;
        
        if ($answer === 'ok' || $answer === 'never') {
            $new_review_options['perk_review__never_show'] = true; // never show again
            $new_review_options['perk_review__last_response'] = time(); // set last response to now
        } else if ($answer == 'notnow') {
            $new_review_options['perk_review__last_response'] = time(); // set last response to now
        } else {
            return;
        }
        
        update_option('perk_review', $new_review_options);
        
    } // END of if answer !empty
}

//front ajax
add_action( 'wp_ajax_nopriv_perk_review_callback', 'perk_review_ajax' );
add_action( 'wp_ajax_perk_review_callback', 'perk_review_ajax' ); 

add_action('after_switch_theme', 'perk_after_theme_change');
function perk_after_theme_change () {
    $theme = wp_get_theme();
    $theme_name = $theme->get( 'Name' );
    
    $old_review_options = get_option('perk_review');
    $new_review_options = $old_review_options;
    
    if ($theme_name == 'Perk') {
        $new_review_options['perk_review__theme_activation'] = time();
        $new_review_options['perk_review__last_response'] = time();
        $new_review_options['perk_review__theme_deactivation'] = 0;
    } else {
        $new_review_options['perk_review__theme_activation'] = 0;
        $new_review_options['perk_review__theme_deactivation'] = time();
    }
    
    update_option('perk_review', $new_review_options);
}

// included last to overwrite other styles
require_once ( get_template_directory() . '/inc/styles.php' );

?>