<?php

// enqueue the required scripts
if (!function_exists('cz_C3dAGx_scripts')) {
    function cz_C3dAGx_scripts() {
        wp_register_script('mailchimp_script', '//s3.amazonaws.com/downloads.mailchimp.com/js/mc-validate.js');   
        wp_enqueue_script('mailchimp_script');
        
        wp_register_script('mailchimp_script_2', get_template_directory_uri() . '/inc/newsletter.js');
        wp_enqueue_script('mailchimp_script_2');
    }
    
    add_action( 'admin_enqueue_scripts', 'cz_C3dAGx_scripts' );  
}

/////////////////////////////// START: DASHBOARD WIDGET ////////////////////////////
if (!function_exists('cz_C3dAGx_custom_dashboard_widgets')) {
    function cz_C3dAGx_custom_dashboard_widgets() {
    	global $wp_meta_boxes;
    	wp_add_dashboard_widget('corporatezen_newsletter', 'CZ Newsletter', 'cz_C3dAGx_mailchimp_signup_widget');
    }
    add_action('wp_dashboard_setup', 'cz_C3dAGx_custom_dashboard_widgets');
}

if (!function_exists('cz_C3dAGx_mailchimp_signup_widget')) {
    function cz_C3dAGx_mailchimp_signup_widget() {
        $user  = wp_get_current_user();
        $email = (string) $user->user_email;
        $fname = (string) $user->user_firstname;
        $lname = (string) $user->user_lastname; 
        
        $group = 1; // 1 = Perk
        ?>
    	
    <div id="mc_embed_signup">
    	<form action="//corporatezen.us13.list-manage.com/subscribe/post?u=e9426a399ea81798a865c10a7&amp;id=9c1dcdaf0e" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate>
    	    <div id="mc_embed_signup_scroll">
    	    
    			<h2>Don't miss important updates!</h2>
    			<p>Don't worry, we hate spam too. We send a max of 1 email a month, and we will never share your email for any reason. Sign up to ensure you don't miss any important updates or information about this plugin or theme. </p>
    		
    			<div class="mc-field-group">
    				<input type="email" value="<?php echo $email; ?>" name="EMAIL" class="fat_wide required email" id="mce-EMAIL" style="width: 75%;">
    				<input type="submit" value="Subscribe" name="subscribe" id="mc-embedded-subscribe" class="button button-primary">
    			</div>
    		
    			<div class="mc-field-group">
    				<input type="hidden" value="<?php echo $fname; ?>" name="FNAME" class="" id="mce-FNAME">
    			</div>
    			<div class="mc-field-group">
    				<input type="hidden" value="<?php echo $lname; ?>" name="LNAME" class="" id="mce-LNAME">
    			</div>
    			
    		
    			<div id="mce-responses" class="clear">
    				<div class="response" id="mce-error-response" style="display:none;color: red;font-weight: 500;margin-top: 20px; margin-bottom: 20px;"></div>
    				<div class="response" id="mce-success-response" style="display:none;color: green;font-weight: 500;margin-top: 20px; margin-bottom: 20px;"></div>
    			</div>    
    			
    			<!-- real people should not fill this in and expect good things - do not remove this or risk form bot signups-->
    		    <div style="position: absolute; left: -5000px;" aria-hidden="true">
    		    	<input type="text" name="b_e9426a399ea81798a865c10a7_9c1dcdaf0e" tabindex="-1" value="">
    		    </div>
    	
    	    </div>
    	</form>
    </div><?php
    }
}

//////////////////////////////// END: DASHBOARD WIDGET /////////////////////////////



//////////////////////////////// START: PLUGIN PAGE and THEME PAGE /////////////////////////////
if (!function_exists('cz_C3dAGx_newsletter_admin_notice')) {
    function cz_C3dAGx_newsletter_admin_notice() {
        global $pagenow;
        
        $user    = wp_get_current_user();
        $email   = (string) $user->user_email;
        $fname   = (string) $user->user_firstname;
        $lname   = (string) $user->user_lastname;
        
        $group = 1; // 1 = Perk
        
        if ( $pagenow == 'themes.php') { ?>
    <div id="mc_embed_signup" class="notice notice-warning is-dismissible">
    	<form action="//corporatezen.us13.list-manage.com/subscribe/post?u=e9426a399ea81798a865c10a7&amp;id=9c1dcdaf0e" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate" target="_blank" novalidate>
    	    <div id="mc_embed_signup_scroll">
    	    
    			<h2>Don't miss important updates!</h2>
    			<p>Don't worry, we hate spam too. We send a max of 1 email a month, and we will never share your email for any reason. Sign up to ensure you don't miss any important updates or information about this plugin or theme. </p>
    		
    			<div class="mc-field-group">
    				<input type="email" value="<?php echo $email; ?>" name="EMAIL" class="fat_wide required email" id="mce-EMAIL" style="width: 25%; margin-bottom: 15px;">
    				<input type="submit" value="Subscribe" name="subscribe" id="mc-embedded-subscribe" class="button button-primary">
    			</div>
    		
    			<div class="mc-field-group">
    				<input type="hidden" value="<?php echo $fname; ?>" name="FNAME" class="" id="mce-FNAME">
    			</div>
    			<div class="mc-field-group">
    				<input type="hidden" value="<?php echo $lname; ?>" name="LNAME" class="" id="mce-LNAME">
    			</div>
    			
    			<div class="mc-field-group" style="display: none;">
                	<select name="group[15261]" class="REQ_CSS" id="mce-group[15261]">
                    	<option value=""></option>
                    	<option value="1" selected>Themes - Perk</option>
                        <option value="2">Themes - Kolby</option>
                        <option value="4">Plugins - RFADM</option>
                        <option value="8">Plugins - CFWGP</option>
                        <option value="16">Plugins - PBFCZ</option>              
                	</select>
                </div> 
    		
    			<div id="mce-responses" class="clear">
    				<div class="response" id="mce-error-response" style="display:none;color: red;font-weight: 500;margin-top: 20px; margin-bottom: 20px;"></div>
    				<div class="response" id="mce-success-response" style="display:none;color: green;font-weight: 500;margin-top: 20px; margin-bottom: 20px;"></div>
    			</div>    
    			
    			<!-- real people should not fill this in and expect good things - do not remove this or risk form bot signups-->
    		    <div style="position: absolute; left: -5000px;" aria-hidden="true">
    		    	<input type="text" name="b_e9426a399ea81798a865c10a7_9c1dcdaf0e" tabindex="-1" value="">
    		    </div>
    	
    	    </div>
    	</form>
    </div><?php 
        }
    }
    add_action('admin_notices', 'cz_C3dAGx_newsletter_admin_notice');
}
////////////////////////////// END: PLUGIN PAGE and THEME PAGE ///////////////////////////
?>