<!-- single.php -->
<?php
/**
 * The main template file for a single post
*
*/
if (!defined('ABSPATH')) die();

$header_text = '';
$perk_hero_text = get_theme_mod( 'perk_hero_text' );
if (!empty($perk_hero_text)) {
    $header_text = $perk_hero_text;
}

$is_sidebar = is_active_sidebar('sidebar-1');

get_header(); 

if ( is_front_page() ) {
    if ( get_header_image() ) {
        echo '<div id="custom_homepage_header" style="background-position: center;background-image: url(' . esc_url(get_header_image()) . ')">';
        echo '<p>' . esc_html ( $header_text ) . '</p>';
        echo '</div>';
    }
}

$feat_url = get_the_post_thumbnail_url();
if ( '' !== get_the_post_thumbnail() ) : ?>
		<div class="post-thumbnail" style="background-position: center;background-image: url(<?php echo esc_url( $feat_url ); ?>);">
			<div class="clear"></div>
		</div><!-- .post-thumbnail -->
	<?php endif; 


echo '<div class="wrap-with-sidebar">';

if ($is_sidebar) {
	echo '<div class="col-lg-8 col-md-8">';
} else {
	echo '<div class="col-lg-12 col-md-12">';
}
?>
		
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
			<?php
			
				if ( have_posts() ) :
	
					/* Start the Loop */
					while ( have_posts() ) : the_post();
	
						get_template_part ( 'template-parts/post/content' );
	
					endwhile;
	
					the_posts_pagination ( array (
						'prev_text' => '<span class="screen-reader-text">Previous page</span>',
						'next_text' => '<span class="screen-reader-text">Next page</span>',
						'before_page_number' => '<span class="meta-nav screen-reader-text">Page</span>',
					) );
	
				else :
	
	
				endif;
				
			?>
			
			</main><!-- #main -->
		</div><!-- #primary -->
		<div class="clear"></div>
	</div>

		<?php if ($is_sidebar) { ?>
		<div class="col-lg-4 col-md-4 the_sidebar_div">
			<?php get_sidebar('sidebar-1'); ?>
		</div>
		<?php } ?>
	<div class="clear"></div>
	
</div><!-- .wrap -->

<?php get_footer();